{% extends 'base.html.twig' %}

{% block javascripts %}
<script type="module" src="{{ asset('js/account/toggle-checking-ip.js') }}"></script>
<script type="module" src="{{ asset('js/account/add-current-ip-to-whitelist.js') }}"></script>
<script type="module" src="{{ asset('js/account/edit-user-ip-whitelist.js') }}"></script>
<script type="module" src="{{ asset('js/account/modify-password.js') }}"></script>
{% endblock %}

{% block title %}Mon espace{% endblock %}

{% block body %}
    <main class="container text-center mt-3">
        <section class="table-responsive">
            <h1 class="mt-5 mb-3">Mon compte utilisateur</h1>
            <table class="table table-sm table-bordered">
                <thead class="thead-dark">
                <th>Email</th>
                <th>Mot de passe</th>
                <th>Activer la vérification d'adresse IP à l'authentification</th>
                <th>Mes adresses IP</th>
                </thead>
                <tbody>
                <td>{{ user.email }}</td>
                <td>
                    {{ form_start(modifyPasswordForm) }}
                        {{ form_row(modifyPasswordForm.password.first) }}
                        {{ form_row(modifyPasswordForm.password.second) }}
                        <button type='submit' class="btn btn-sm btn-warning m-3">Modifier mon mot de passe</button>
                    {{ form_end(modifyPasswordForm) }}

                </td>
                <td>
                    <fieldset class="custom-control custom-switch">
                        <input type="checkbox" class="custom-control-input" id="check_user_ip_checkbox"
                               data-url="{{ path('app_user_account_profile_toggle_guard_checking_IP') }}" {{ user.isGuardCheckIp ? "checked" : "" }}>
                        <label for="check_user_ip_checkbox" class="custom-control-label">{{ user.isGuardCheckIp ? "Active" : "Inactive" }}</label>
                    </fieldset>
                </td>
                <td>
                    <p id="user_ip_adresses" data-url="{{ path('app_user_account_profile_edit_user_ip_whitelist') }}" contenteditable data-toggle="tooltip" data-placement="bottom" title="Cliquez pour ajouter une ou plusieurs adresses IP puis taper sur 'Entrée">{{ user.whitelistedIpAdresses|join(' | ') }}</p>
                    <button type="button" class="btn btn-sm btn-warning m-3" id="add_current_ip_to_whitelist_button"
                            data-url="{{ path('app_user_account_profile_add_current_IP') }}">Ajouter mon adresse IP actuelle
                    </button>
                </td>
                </tbody>
            </table>
        </section>
        <section class="table-responsive">
            <h1 class="mt-5 mb-3">Mes sondages</h1>
            <table class="table table-sm table-bordered">
                <thead class="thead-dark">
                <th>Nombre de sondages créés</th>
                <th>Nombre de sondages publiées</th>
                <th>Nombre restant de sondages à publier</th>
                </thead>
                <tbody>
                <td>{{ coutCreatedSondage }}</td>
                <td>{{ countPublishedSondage }}</td>
                <td>{{ coutCreatedSondage - countPublishedSondage }}</td>
                </tbody>
            </table>
        </section>

        {% include "_partials/_confirm_password_modal.html.twig" %}
    </main>
{% endblock %}
